#ifndef EXPXMLDOWNLOADER_H
#define EXPXMLDOWNLOADER_H

#include <QObject>
#include <QDomDocument>
#include <QList>

typedef struct ExpXmlDownLoaderIntervals
{
    QString date;
    QString start;
    QString stop;
}ExpXmlDownLoaderIntervals;
class ExpXmlDownLoader : public QObject
{
    Q_OBJECT
public:
    explicit ExpXmlDownLoader(QObject *parent = 0);
    ~ExpXmlDownLoader();
    bool parseXml(const QString& fileName);
    const QList<QDate>& daysToDownload();
signals:

public slots:

private:
    void extractIntervals(QDomNode n);
    void makeDownloadList();
    void addDaysToDownload(QList<QDate> days);
    QDomDocument* m_doc;
    QList<ExpXmlDownLoaderIntervals> m_intervals;
    QList<QDate> m_FilesToDownload;
};

#endif // EXPXMLDOWNLOADER_H
